Functions
Port Configuration
Peripheral Driver » LL Driver » GPIO » Functions

## Functions
__STATIC_INLINE void | ll_gpio_set_pin_mode (gpio_regs_t *GPIOx, uint32_t pin_mask, uint32_t mode)
| Set several pins to input/output mode on dedicated port. More...
__STATIC_INLINE uint32_t | ll_gpio_get_pin_mode (gpio_regs_t *GPIOx, uint32_t pin)
| Return gpio mode for a dedicated pin on dedicated port. More...
__STATIC_INLINE void | ll_gpio_set_pin_pull (gpio_regs_t *GPIOx, uint32_t pin_mask, uint32_t pull)
| Configure gpio pull-up or pull-down for a dedicated pin on a dedicated port. More...
__STATIC_INLINE uint32_t | ll_gpio_get_pin_pull (gpio_regs_t *GPIOx, uint32_t pin)
| Return gpio pull-up or pull-down for a dedicated pin on a dedicated port. More...
__STATIC_INLINE void | ll_gpio_set_mux_pin_0_7 (gpio_regs_t *GPIOx, uint32_t pin, uint32_t mux)
| Configure gpio pinmux number of a dedicated pin from 0 to 7 for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_gpio_get_mux_pin_0_7 (gpio_regs_t *GPIOx, uint32_t pin)
| Return gpio alternate function of a dedicated pin from 0 to 7 for a dedicated port. More...
__STATIC_INLINE void | ll_gpio_set_mux_pin_8_15 (gpio_regs_t *GPIOx, uint32_t pin, uint32_t mux)
| Configure gpio alternate function of a dedicated pin from 8 to 15 for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_gpio_get_mux_pin_8_15 (gpio_regs_t *GPIOx, uint32_t pin)
| Return gpio alternate function of a dedicated pin from 8 to 15 for a dedicated port. More...

## Detailed Description

## Function Documentation

## ◆ ll_gpio_get_mux_pin_0_7()

__STATIC_INLINE uint32_t ll_gpio_get_mux_pin_0_7 | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin
| ) |  |

Return gpio alternate function of a dedicated pin from 0 to 7 for a dedicated port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DPAD_MUX_CTRL0_7 | CTRL0_7 | +———————-+———————————–+ \endrst DPAD_MUX_CTRL16_23 | CTRL16_23

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: LL_GPIO_MUX_0 LL_GPIO_MUX_1 LL_GPIO_MUX_2 LL_GPIO_MUX_3 LL_GPIO_MUX_4 LL_GPIO_MUX_5 LL_GPIO_MUX_6 LL_GPIO_MUX_7 LL_GPIO_MUX_8

Definition at line 542 of file gr55xx_ll_gpio.h.

References LL_GPIO_GET_REG_MUX_CTRL_0_7.

## ◆ ll_gpio_get_mux_pin_8_15()

__STATIC_INLINE uint32_t ll_gpio_get_mux_pin_8_15 | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin
| ) |  |

Return gpio alternate function of a dedicated pin from 8 to 15 for a dedicated port.

Note
  Possible values are from AF0 to AF15 depending on target.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DPAD_MUX_CTRL8_15 | CTRL8_15 | +———————-+———————————–+ \endrst DPAD_MUX_CTRL24_31 | CTRL24_31

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15

Return values

  Returned | value can be one of the following values: LL_GPIO_MUX_0 LL_GPIO_MUX_1 LL_GPIO_MUX_2 LL_GPIO_MUX_3 LL_GPIO_MUX_4 LL_GPIO_MUX_5 LL_GPIO_MUX_6 LL_GPIO_MUX_7 LL_GPIO_MUX_8

Definition at line 626 of file gr55xx_ll_gpio.h.

References LL_GPIO_GET_REG_MUX_CTRL_8_15.

## ◆ ll_gpio_get_pin_mode()

__STATIC_INLINE uint32_t ll_gpio_get_pin_mode | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin
| ) |  |

Return gpio mode for a dedicated pin on dedicated port.

Note
  I/O mode can be Input mode, General purpose output.
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | OUTENSET | OUTENSET | +———————-+———————————–+ \endrst

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15

Return values

  Returned | value can be one of the following values: LL_GPIO_MODE_INPUT LL_GPIO_MODE_OUTPUT

Definition at line 373 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_get_pin_pull()

__STATIC_INLINE uint32_t ll_gpio_get_pin_pull | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin
| ) |  |

Return gpio pull-up or pull-down for a dedicated pin on a dedicated port.

Note
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DPAD_RE_N_BUS | RE_N | +———————-+———————————–+ \endrst DPAD_RTYP_BUS | RTYP

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15

Return values

  Returned | value can be one of the following values: LL_GPIO_PULL_NO LL_GPIO_PULL_UP LL_GPIO_PULL_DOWN

Definition at line 458 of file gr55xx_ll_gpio.h.

References LL_GPIO_GET_RESISTOR_POS, LL_GPIO_PULL_DOWN, LL_GPIO_PULL_NO, and LL_GPIO_PULL_UP.

## ◆ ll_gpio_set_mux_pin_0_7()

__STATIC_INLINE void ll_gpio_set_mux_pin_0_7 | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin,
|  | uint32_t | mux
| ) |  |

Configure gpio pinmux number of a dedicated pin from 0 to 7 for a dedicated port.

Note
  Possible values are from AF0 to AF15 depending on target.
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DPAD_MUX_CTRL0_7 | CTRL0_7 | +———————-+———————————–+ \endrst DPAD_MUX_CTRL16_23 | CTRL16_23

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7
  mux | This parameter can be one of the following values: LL_GPIO_MUX_0 LL_GPIO_MUX_1 LL_GPIO_MUX_2 LL_GPIO_MUX_3 LL_GPIO_MUX_4 LL_GPIO_MUX_5 LL_GPIO_MUX_6 LL_GPIO_MUX_7 LL_GPIO_MUX_8

Return values

  None |

Definition at line 502 of file gr55xx_ll_gpio.h.

References LL_GPIO_GET_REG_MUX_CTRL_0_7.

## ◆ ll_gpio_set_mux_pin_8_15()

__STATIC_INLINE void ll_gpio_set_mux_pin_8_15 | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin,
|  | uint32_t | mux
| ) |  |

Configure gpio alternate function of a dedicated pin from 8 to 15 for a dedicated port.

Note
  Possible values are from AF0 to AF15 depending on target.
  Warning: only one pin can be passed as parameter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DPAD_MUX_CTRL8_15 | CTRL8_15 | +———————-+———————————–+ \endrst DPAD_MUX_CTRL24_31 | CTRL24_31

Parameters

  GPIOx | GPIO Port
  pin | This parameter can be one of the following values: LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15
  mux | This parameter can be one of the following values: LL_GPIO_MUX_0 LL_GPIO_MUX_1 LL_GPIO_MUX_2 LL_GPIO_MUX_3 LL_GPIO_MUX_4 LL_GPIO_MUX_5 LL_GPIO_MUX_6 LL_GPIO_MUX_7 LL_GPIO_MUX_8

Return values

  None |

Definition at line 585 of file gr55xx_ll_gpio.h.

References LL_GPIO_GET_REG_MUX_CTRL_8_15.

## ◆ ll_gpio_set_pin_mode()

__STATIC_INLINE void ll_gpio_set_pin_mode | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | mode
| ) |  |

Set several pins to input/output mode on dedicated port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | OUTENSET | OUTENSET | +———————-+———————————–+ \endrst OUTENCLR | OUTENCLR

Parameters

  GPIOx | GPIO Port
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL
  mode | This parameter can be one of the following values: LL_GPIO_MODE_INPUT LL_GPIO_MODE_OUTPUT

Return values

  None |

Definition at line 326 of file gr55xx_ll_gpio.h.

References LL_GPIO_MODE_INPUT, and LL_GPIO_MODE_OUTPUT.

## ◆ ll_gpio_set_pin_pull()

__STATIC_INLINE void ll_gpio_set_pin_pull | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask,
|  | uint32_t | pull
| ) |  |

Configure gpio pull-up or pull-down for a dedicated pin on a dedicated port.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | DPAD_RE_N_BUS | RE_N | +———————-+———————————–+ \endrst DPAD_RTYP_BUS | RTYP

Parameters

  GPIOx | GPIO Port
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15
  pull | This parameter can be one of the following values: LL_GPIO_PULL_NO LL_GPIO_PULL_UP LL_GPIO_PULL_DOWN

Return values

  None |

Definition at line 414 of file gr55xx_ll_gpio.h.

References LL_GPIO_GET_RESISTOR_POS, LL_GPIO_PULL_NO, and LL_GPIO_PULL_UP.